Doomsday Engine - Feature #1351

Dynamic Light polys rotated to match THING/Wall angle
2004-07-23 13:39 - danij

Status: Rejected Start date: 2004-07-23
Priority: Normal % Done: 0%
Assignee:

Category:

Target version:

Description

When using lightmaps there are many instances where

the top and bottom dynamic light polys should be

rotated based on the angle of the THING they are

attached to. For instance a lamp casting light in only

one direction.

And for decor lights rotating them based on the angle of

the parent wall.

This rotation should be interpolated if the smooth actor

rotation is used.

Could this be made optional with a flag in the light def?

Labels: Graphics

Related issues:

Related to Feature #7: Next-gen renderer (codename "Gloom") Progressed 2003-07-10

History

#1 - 2013-10-21 17:12 - skyjake
- Tags set to Lights, Renderer

#2 - 2018-10-27 15:11 - skyjake

- Status changed from New to Rejected

Obsolete.
